/* BulletPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Fri Nov 29 14:49:45 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.CategoryModel;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYModel;

/**
 * A model implementation for bullet chart
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class BulletPlotImpl extends PlotEngineImpl {
	public BulletPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof CategoryModel) {
			return drawCategoryModel((CategoryModel) model);
		} else if (model instanceof XYModel) {
			return drawXYModel((XYModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
